Subject: bug#37902: Can't get bbdb-mail to use my gnus-posting-styles

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Fri, 25 Oct 2019 13:50:07 +0800

All I know is there is a terrible tangle of:

bbdb-mail-user-agent is a variable defined in ‘bbdb.el’.
Its value is ‘message-user-agent’
Original value was gnus-user-agent

mail-user-agent is a variable defined in ‘simple.el’.
Its value is ‘gnus-user-agent’
Original value was message-user-agent

mail-user-agent is a variable defined in ‘simple.el’.
Its value is ‘gnus-user-agent’
Original value was message-user-agent

The challenge was to make "m" in bbdb make the same From: header as C-x m does.

>>>>> "LI" == Lars Ingebrigtsen <[email-masked]> writes:
LI> 積丹尼 Dan Jacobson <[email-masked]> writes:

>> Despite all my https://www.jidanni.org/comp/configuration/ , the
>> bbdb-mail command ignores my gnus-posting-styles.

LI> I'm not sure I understand.  Why would the bbdb-mail command consult
LI> the gnus-posting-styles variable?

LI> -- 
LI> (domestic pets only, the antidote for overdose, milk.)
LI>    bloggy blog: http://lars.ingebrigtsen.no